Subject: RE: [mobile-ip] Announcement of a new AR-Based MD and CoA Configu ration draft

From: [email-masked]
Date: Thu, 26 Jun 2003 13:53:22 +0900

Hi..Brett..
 Thanks for  your interests of our draft..

 At first, your description about our draft is mainly correct.. 
 The ARs will use some triggering information to quickly determine L3 MD. 
 Then, the ARs generate CoA and DAD on behalf of the MN.
 Surely,  the AR uses information (such as L2 identifier) in the trigger  
to configure an address and then performs DAD in advance.

 We thinks that our proposed schemes are helpful to reduce the L3 MD delay 
because a MN does not have to wait to receive RA messages from ARs for L3
MD. 
 Immediately after L3 MD, CoA configuration and DAD can be performed at ARs.

 The MN does not have to do normal DAD.

 As you correctly pointed, the triggers may be moderately complex. 
 But the necessary information may be only L2 identifier for MD, CoA
configuration 
and DAD. So, the trigger might not be complex as you expected.  
 For modifications to RS/RA , we know It is also difficult job. But if there
are sufficient 
 effect to reduce  the delay, it might be a possibility.

 And the performing DAD is now a basic operation for MIPv6 and it can be
avoided 
by optimistic DAD or other methods. We think that our proposed schemes 
are not directly effective to DAD itself.

 But if we must follow the basic existing procedures : L3 MD, CoA
configuration and DAD, 
we believe that our schemes are effective to L3 MD and their intermediate
time.

 Any comments are welcome..
 
 Thanks..
 Yong-Geun..

-----Original Message-----
From: Brett Pentland [mailto:[email-masked]] 
Sent: Wednesday, June 25, 2003 5:30 PM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [mobile-ip] Announcement of a new AR-Based MD and CoA
Configurati on draft

Hi Yong-Geun,

I'm not sure if I'm missing the point.  Your description sounds like the 
ARs will use some triggering information to quickly determine whether a 
node just just moved to the network then then provide it with an address 
that has already had DAD performed on it (a la aDAD).

On reading the draft, it sounds like the AR uses information in the 
trigger to configure an address and then performs DAD, before returning 
the address to the MN.

Do you think it's worth having moderately complex triggers, and 
modifications to RS and RA if you are then going to perform DAD (which 
takes about a second) after the MN turns up on a network?

Regards,
Brett.

[email-masked] wrote:
> 
>  Dear mobileip WG members..
> 
>  We have submitted a new individual draft that describes AR-Based MD 
> and CoA Configuration.
> 
>  Until now, MD, CoA configuration and DAD are considered separately. 
> And these operations are done at MN.
> 
>  We think that if a MN and a AR have the same information for these
> operations, the AR may take the role of MD, CoA configuration and DAD.
> 
>  Since the AR (in draft, we call it AcAR) can quickly determine the L3
> movement by the comparison between neighbor caches and L2 information 
> of a MN, a  MN does not have to wait to receive RA messages from ARs. 
> And since DAD is performed by an
> AcAR in advance, a MN does not have to do normal DAD.
>  Thus the delay might be reduced.
> 
>  The draft is available at:
> 
> http://www.ietf.org/internet-drafts/draft-hong-mobileip-acar-00.txt
>  
>  We are looking forward to you feedback.
> 
>  Thanks..
> 
>  Yong-Geun..
> 
>